﻿using System;
using System.Collections.Generic;
using System.Composition;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;
using Okra.Core;
using Okra.Navigation;

namespace MvvmWindowsStoreApp.ViewModels
{
    public class ViewModelBase
    {
        public ViewModelBase()
        {
            GoBackCommand = new DelegateCommand(() => NavigationManager.GoBack(), () => NavigationManager.CanGoBack);
        }

        [Import]
        public INavigationManager NavigationManager { get; set; }

        public ICommand GoBackCommand { get; private set; }
    }
}
