﻿using System.Windows.Input;
using Okra.Core;
using Okra.Navigation;
using MvvmWindowsStoreApp.Common;

namespace MvvmWindowsStoreApp.ViewModels
{
    [ViewModelExport(SpecialPageNames.Home)]
    public class MainViewModel : ViewModelBase
    {
        public MainViewModel()
        {
            ShowAnotherViewCommand = new DelegateCommand(() => ShowAnotherView());
        }

        public ICommand ShowAnotherViewCommand { get; private set; }

        private void ShowAnotherView()
        {
            NavigationManager.NavigateTo(typeof(AnotherViewModel));
        }
    }
}
